<!DOCTYPE html>
<html>
<head>
    <title>PongChat</title>
    <meta charset="utf-8">
    <link rel="stylesheet" href="css/chat.css">
</head>
<body>
    
    <script>
   function send()
  {
     var url = new URL(document.location.href);
     var user = url.searchParams.get('nick');
     var msg = document.getElementById("msg").value;
     var xhr = new XMLHttpRequest();
     xhr.onreadystatechange = function() {
    if (this.readyState == 4 && this.status == 200) {
    document.getElementById("chat").innerHTML = this.responseText + "<br>" + document.getElementById("chat").innerHTML;
    }
  };
  var request = "nick="+ encodeURIComponent(user)+"&msg="+ encodeURIComponent(document.getElementById("msg").value);
  console.log(request);
  xhr.open("GET","" + request,true);
  xhr.send();
  document.getElementById("msg").value = "";
 }
   var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function() { 
    if (this.readyState == 4 && this.status == 200) {
      document.getElementById("chat").innerHTML =
      this.responseText;
    }
  };
  xhttp.open("GET","",true);
  xhttp.send();

  setInterval(function(){ xhttp.open("GET","",true);xhttp.send(); }, 10000);


  
   </script>
   
    <span id="chat">
     ---------
    </span>
    <div class="in">
       <input id="msg" type="text" placeholder="Type a message" ><button onclick="send()">Send</button>
    </div>

</body>
</html>